import Config

username =
  System.get_env("RIT_DATABASE_USERNAME") ||
    raise "environment variable RIT_DATABASE_USERNAME is missing."

password =
  System.get_env("RIT_DATABASE_PASSWORD") ||
    raise "environment variable RIT_DATABASE_PASSWORD is missing."

database =
  System.get_env("RIT_DATABASE_NAME") ||
    raise "environment variable RIT_DATABASE_NAME is missing."

hostname =
  System.get_env("RIT_DATABASE_HOSTNAME") ||
    raise "environment variable RIT_DATABASE_HOSTNAME is missing."

config :rit_database, RitDatabase.Repo,
  # ssl: true,
  username: username,
  password: password,
  database: database,
  hostname: hostname,
  pool_size: String.to_integer(System.get_env("RIT_POOL_SIZE", "10"))
